MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003740ATutorPreferencespublic2009-04-29 07:352012-07-26 10:00
Reporterharris 
Assigned Togreg 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionduplicate 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0003740: Timezone offset does not get applied to dates drop down
DescriptionPatch 21(0003736) has created a problem for include/html/release_date.inc.php
The drop down menu for month became all []

Problem is that in line 116, under the conditional statement
    if ($format_type == AT_DATE_INDEX_VALUE) {
            $timestamp = apply_timezone($timestamp);
        ...

Timestamp offset has been applied to the date array index.

Quick solution is to take out the timestamp offset. However, this does not fix all the offset issues. Consider a scenario where we create a test on Jan 31,09 11:00pm. Apply timezone+2, then the drop down menu should default to Feb 1, 09 01:00am.

TODO
Need to change all the files that uses AT_DATE_INDEX_VALUE. Pre-apply timezone offset before calling AT_date.
Additional Informationhttp://www.atutor.ca/view/3/17258/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#na
Attached Files

- Relationships
related to 0003742closedcindy Applying timezone causes month drop down list box displays all "[]" 
related to 0003958closedcindy Date() for timezone 
related to 0004604closedharris System preference timezone not saved correctly. 

-  Notes
(0003517)
cindy (administrator)
2009-04-29 07:55

Related thread: http://www.atutor.ca/atutor/mantis/view.php?id=3742 [^]
(0004852)
harris (developer)
2010-12-20 15:50

I believe this is fixed from 0003742 and 0004604.

Timezone still needs a better design though, revisit this before the next release.

Changing it to high priority.
(0005313)
harris (developer)
2011-08-31 12:16

Address this before 2.1.
(0005610)
greg (administrator)
2012-06-12 15:00

fixed elsewhere
(0005756)
greg (administrator)
2012-07-26 10:00

closed for ATutor 2.1

- Issue History
Date Modified Username Field Change
2009-04-29 07:35 harris New Issue
2009-04-29 07:35 harris Affects version => SVN
2009-04-29 07:35 harris Description Updated
2009-04-29 07:36 harris Description Updated
2009-04-29 07:55 cindy Note Added: 0003517
2010-10-05 11:00 harris Relationship added related to 0003742
2010-12-13 13:13 greg Relationship added related to 0004604
2010-12-20 10:01 harris Status new => assigned
2010-12-20 10:01 harris Assigned To => harris
2010-12-20 15:50 harris Note Added: 0004852
2010-12-20 15:51 harris Priority normal => high
2011-08-30 14:26 harris Relationship added related to 0003958
2011-08-31 12:16 harris Note Added: 0005313
2012-06-12 15:00 greg SVN Revision# => na
2012-06-12 15:00 greg Note Added: 0005610
2012-06-12 15:00 greg Status assigned => resolved
2012-06-12 15:00 greg Resolution open => duplicate
2012-06-12 15:00 greg Assigned To harris => greg
2012-07-26 10:00 greg Note Added: 0005756
2012-07-26 10:00 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker